using System;
using System.Threading;
using System.Collections;
using System.Runtime.Serialization;
using System.Runtime.Remoting;
using ARCobjectNamespace;
using System.Runtime.Remoting.Channels;
using UserInterface_FTSService; 
using System.Runtime.Remoting.Channels.Tcp;
namespace ARCobjectApp
{

	public class Class1
	{
		public static void Main()
		{
			BinaryServerFormatterSinkProvider provider = new BinaryServerFormatterSinkProvider();
            provider.TypeFilterLevel = System.Runtime.Serialization.Formatters.TypeFilterLevel.Full;
            IDictionary props = new Hashtable();
            props["port"] = 8085;
            TcpChannel chan = new TcpChannel(props, null, provider);
            ChannelServices.RegisterChannel(chan,false);
            UserInterface_HPFServer.IUser hpfserver = (UserInterface_HPFServer.IUser)Activator.GetObject(typeof(UserInterface_HPFServer.IUser),"tcp://localhost:9123/HPFServerClass");
			UserInterface_HPFValue.IUser hpfv = hpfserver.getHPFValue("10.129.240.122");
			Console.WriteLine("{0}",hpfv.HPF());
            Console.ReadLine();

			ARCobjectGeneratedInterfaces.IContainer arcobject = Factory.New();
			
			UserInterface_FTSService.IUser ftsserver = (UserInterface_FTSService.IUser)Activator.GetObject(typeof(UserInterface_FTSService.IUser),"tcp://localhost:9123/FTSServiceClass");
			ftsserver.Register(arcobject,-1);
			arcobject.showscreen();
			Console.WriteLine("before push");
			arcobject.push(hpfv);
			arcobject.sync();
			arcobject.showscreen();
			
		}
	}
}
